#
# spec file for package parted (Version 1.9.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           parted
BuildRequires:  device-mapper-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libreiserfs-devel
BuildRequires:  readline-devel
BuildRequires:  libsepol-devel
BuildRequires:  libselinux-devel
%define aclocaldir	/usr/share/aclocal
License:        GPLv3+
Group:          System/Filesystems
Requires:       /sbin/udevadm
Summary:        GNU partitioner
Version:        1.9.0
Release:        3.7.1
Source0:        %{name}-%{version}.tar.bz2
Patch0:         always-resize-part.dif
Patch1:         parted-type.patch
Patch2:         parted-mac.patch 
Patch3:         parted-wipeaix.patch
Patch4:         etherd_support.diff
Patch5:         parted-1.8.3.dif
Patch6:         hfs_fix.dif
Patch7:         always_print_geom.diff
Patch8:         fix-function-def.patch
Patch9:         parted.tty.patch
Patch10:        parted.no-O_DIRECT.patch
Patch11:        parted-gpt-mbr-sync.patch
Patch12:        parted-no-inttypes-include
Patch13:        fix-error-informing-the-kernel.patch
Patch14:        do-not-discard-bootcode-in-extended-partition.patch
#PATCH-FEATURE-OPENSUSE fix-dm-partition-name.patch bnc471440,447591 petr.uzel@suse.cz
Patch15:        fix-dm-partition-name.patch
#PATCH-FEATURE-OPENSUSE fix-tests.sh petr.uzel@suse.cz
Patch16:        fix-tests.sh
#PATCH-FEATURE-OPENSUSE do-not-create-dm-nodes.patch bnc#501773 petr.uzel@suse.cz
Patch17:        do-not-create-dm-nodes.patch
#PATCH-FIX-UPSTREAM avoid-unnecessary-open-close.patch bnc#539521 petr.uzel@suse.cz
Patch18:        avoid-unnecessary-open-close.patch
#PATCH-FIX-UPSTREAM do-not-unnecessarily-open-part-dev.patch bnc#539521 petr.uzel@suse.cz
Patch19:        do-not-unnecessarily-open-part-dev.patch
#PATCH-FIX-UPSTREAM retry-blkpg-ioctl-and-improve-error-handling.patch bnc#539521 petr.uzel@suse.cz
Patch21:        retry-blkpg-ioctl-and-improve-error-handling.patch
#PATCH-FIX-UPSTREAM use-ext-range.patch bnc#567652 petr.uzel@suse.cz   	
Patch22:        use-ext-range.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.gnu.org/software/parted/
PreReq:         %install_info_prereq
# bug437293
%ifarch ppc64
Obsoletes:      parted-64bit
%endif

%description
GNU Parted is a program for creating, destroying, resizing, checking,
and copying partitions, and the file systems on them.

Authors:
--------
    Andrew Clausen <clausen@gnu.org>

%package devel
License:        GPLv2+
Summary:        Parted Include Files and Libraries necessary for Development
Group:          Development/Libraries/C and C++
Requires:       e2fsprogs-devel parted = %version device-mapper-devel libreiserfs-devel
# bug437293
%ifarch ppc64
Obsoletes:      parted-devel-64bit
%endif

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

Authors:
--------
    Andrew Clausen <clausen@gnu.org>
    Lennert Buytenhek <buytenh@gnu.org>
    Matthew Wilson <msw@redhat.com>
    Masahiro Sakai <ZVM01052@nifty.ne.jp>
    Ben Collins <vincent.stelhe@free.fr>
    Matt Domsch <Matt_Domsch@dell.com>

%lang_package
%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5
%patch6 -p1  
%patch7
%patch8
%patch9 -p1
%patch10 -p1
%patch11
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch21 -p1
%patch22 -p1

%build
AUTOPOINT=true autoreconf --force --install
%configure	--disable-static \
			--with-pic \
			--enable-device-mapper=yes	\
			--enable-dynamic-loading=no 	\
			--enable-selinux		\
			--disable-Werror
make %{?jobs:-j%jobs}

%install
make DESTDIR="$RPM_BUILD_ROOT" install
rm $RPM_BUILD_ROOT%{_libdir}/*.la
%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
/sbin/ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO
%{_sbindir}/*
%{_mandir}/man8/part*.8.gz
%{_libdir}/*.so.*
%doc %{_infodir}/*.info*

%files devel
%defattr(-,root,root)
%doc doc/API doc/FAT
%{_prefix}/include/*
%{_libdir}/pkgconfig/libparted.pc
%{_libdir}/*.so

%files lang -f %{name}.lang

%changelog
* Mon Jan 25 2010 puzel@novell.com
- use-ext-range.patch (bnc#567652)
* Thu Dec  3 2009 puzel@novell.com
- do-not-unnecessarily-open-part-dev.patch,
  avoid-unnecessary-open-close.patch
  retry-blkpg-ioctl-and-improve-error-handling.patch (bnc#539521)
* Wed Oct  7 2009 puzel@novell.com
- do-not-create-dm-nodes.patch (bnc#501773)
* Fri Jul 31 2009 puzel@novell.com
- update to parted-1.9.0
  * bugfixes:
  * parted now preserves the protective MBR (PMBR) in GPT type
    labels.
  * gpt_read now uses SizeOfPartitionEntry instead of the size
  of GuidPartitionEntry_t. This ensures that *all* of the
  partition entries are correctly read.
  * mklabel (interactive mode) now correctly asks for
  confirmation, when replacing an existent label, without
  outputting an error message.
  * resize now handles FAT16 file systems with a 64k cluster.
  This configuration is not common, but it is possible.
  * parted now ignores devices of the type /dev/md* when
  probing.  These types of devices should be handled by the
  device-mapper capabilities of parted.
  * The parted documentation now describes the differences in
  the options passed to mkpart for the label types.
  * changes in behavior
  * In libparted, the linux-swap "filesystem" types are now
  called "linux-swap(v0)" and "linux-swap(v1)" rather than
  "linux-swap(old)" and "linux-swap(new)" as in parted 1.8, or
  "linux-swap" as in older versions; "old" and "new" generally
  make poor names, and v1 is the only format supported by
  current Linux kernels. Aliases for all previous names are
  available.
- drop following patches as they were merged upstream/are no
  longer needed:
  * 2TB_size_overflow.diff
  * disable_FAT_check.diff
  * do-not-automatically-correct-GPT.patch
  * dont-require-dvh-partition-name.patch
  * fix-array-overflow.patch
  * fix-corrupted-gpt-crash.patch
  * fix-dasd-probe.patch
  * fix-dvh-update.patch
  * fix-improper-data-conversion.patch
  * fix-make-install-failure.patch
  * gnulib.diff
  * parted-cmd-arg-fix.patch
  * parted-fdasd-compile-fixes
- remove FAT16 stuff from fat16_hfs_fix.dif, rename it hfs_fix.dif
- add fix-tests.sh
  * adjust testsuite so that it succeeds with our patchset
- update all patches to remove fuzz, renumber patches
- change license to GPL v3
- parted-type.patch: fix output of flags
* Wed Jul  1 2009 puzel@novell.com
- add libsepol-devel to BR: (fix build)
* Wed Jun 17 2009 puzel@suse.cz
- add fix-make-install-failure.patch (fix build)
- add fix-array-overflow.patch (fixes warning)
- split -lang subpackage
* Tue Apr  7 2009 crrodriguez@suse.de
- remove static libraries
* Tue Mar 10 2009 puzel@suse.cz
- fix-multipath-part-name.patch replaced with
  fix-dm-partition-name.patch (bnc#471440)
* Wed Feb 18 2009 puzel@suse.cz
- do-not-automatically-correct-GPT.patch (bnc#436825)
* Tue Feb 10 2009 puzel@suse.cz
- dont-require-dvh-partition-name.patch (bnc#471703)
* Mon Feb  9 2009 puzel@suse.cz
- parted-cmd-arg-fix.patch (bnc#473207)
* Fri Jan 23 2009 puzel@suse.cz
- do-not-discard-bootcode-in-extended-partition.patch (bnc#467576)
* Fri Jan 23 2009 puzel@suse.cz
- fix-error-informing-the-kernel.patch (bnc#449183)
* Thu Jan 22 2009 puzel@suse.cz
- fix-multipath-part-name.patch (bnc#447591)
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed Nov 26 2008 puzel@suse.cz
- fix-dasd-probe.patch (bnc#438681)
* Fri Nov  7 2008 puzel@suse.cz
- fix-corrupted-gpt-crash.patch (bnc#439910)
- fix-dvh-update.patch (bnc#397210)
* Wed Nov  5 2008 puzel@suse.cz
- disabled largest_partition_number.patch (bnc#440141)
* Mon Oct 20 2008 puzel@suse.cz
- fix improper data conversion (bnc#435702)
* Tue Oct  7 2008 puzel@suse.cz
- updated largest_partition_number.patch (bnc#428992)
* Thu Aug 28 2008 kukuk@suse.de
- Kill *.la file
* Mon Aug 25 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Thu Aug 21 2008 agraf@suse.de
- fix the GPT sync to work properly on Macs
* Mon Aug 11 2008 agraf@suse.de
- make GPT sync more compatible:
  - don't sync on IA64
  - always add a partition with partition type 0xee, so Linux is happy
  - protect the EFI System Partition if available
* Tue Jul 22 2008 hare@suse.de
- Fix fdasd.c compilation
- Don't include broken inttypes.h
* Fri Jul 18 2008 agraf@suse.de
- add GPT sync, so whenever the GPT is modified, fake MBR entries
  for the first 4 partitions will be created. This fixes booting
  from disks > 2TB and makes booting a Mac possible (bnc#220839)
* Tue Jul  8 2008 puzel@suse.cz
- added largest_partition_number.patch
  * fixes computation of largest partition number (bnc#397210)
* Fri May  9 2008 schwab@suse.de
- Fix gnulib macro and use autoreconf.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Mon Mar 24 2008 ro@suse.de
- fix typo in specfile
* Thu Mar 20 2008 meissner@suse.de
- fix buildrequires
- change from loading libreiserfs dynamically to just link it
  (avoids adding libreiserfs-devel + deps to the system)
  FATE#303510
- enable device mapper linking (I very much doubt it was intended to
  be disabled)
* Sun Mar 16 2008 crrodriguez@suse.de
- fix file-not-in-lang rpmlint warnings
* Tue Jan 15 2008 fehr@suse.de
- Add patch 2TB_size_overflow.diff developed by Jim Meyering
  <meyering@redhat.com> to properly handle cases of overflow over
  2TB limit in msdos label (#352484)
* Mon Aug 13 2007 fehr@suse.de
- Update to new version 1.8.8
    Properly detect 'ext2 fs too small' cases.
    Read an msdos partition table from a device with 2K sectors.
    Correct handling of HeaderSize field in GPT labels.
    Fix block number used when checking for ext2 fs state.
    Add detection support for Xen virtual block devices (/dev/xvd*).
    Fixed exception handling in mkpart and mkpartfs commands.
    Fix invalid command line argument handling.
    Close memory leaks in parted.c and table.c.
* Fri Jul 13 2007 olh@suse.de
- do not open with O_DIRECT (#290087)
* Thu Jul  5 2007 sassmann@suse.de
- fix parted to generate parseable output (#289049)
    added check to test if tty is availabe, if no tty is available
    readline functions are omitted
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Sun May 13 2007 olh@suse.de
- restore mkpart linux-swap syntax (#274080)
* Thu May 10 2007 fehr@suse.de
- Update to new version 1.8.7
    Fix primary partition cylinder alignment error for DOS disk labels
    Avoid segfault due to a double free on reiserfs support
    Fix script mode (-s) for mkfs command in parted
    Fix off-by-one bug in parted when displaying information about the disk
* Wed May  2 2007 olh@suse.de
- remove unused check-devel from buildrequires to allow build in sles10
* Tue Mar 27 2007 sbrabec@suse.cz
- Require check-devel.
* Thu Mar 22 2007 fehr@suse.de
- Update to new version 1.8.6
    Revert the implementation of the linux-swap(new) and linux-swap(old) types.
- Update to new version 1.8.5
    Add po translations
- Update to new version 1.8.4
    Minor bug fix release for 1.8.3 to fix build issues on various platforms
* Mon Mar 19 2007 fehr@suse.de
- Update to new version 1.8.3
    libparted:
  - Sync the linux-swap header according to the Linux kernel sources.
  - Enable support for swsusp partitions and the ability to differentiate
    between old and new versions of linux-swap partitions.
  - Preserve starting sector for primary NTFS 3.1 partitions on DOS disklabel.
  - Handle 2048-byte logical sectors in linux_read().
  - Don't assume logical sector size is <= 512B on AIX.
  - Detect HFS write failure.
  - Added HFS+ resize support.
    parted/partprobe:
  - Use fputs() and putchar() in place for printf(), when possible.
  - Detect/report stdout write errors.
  - Accept the --version and --help options.
  - Fix memory leaks in parted(8).
* Wed Mar  7 2007 fehr@suse.de
- make resize of ext2/3 under YaST2 work again (#249674)
* Tue Feb 20 2007 fehr@suse.de
- make mklabel in scripted mode work again
* Mon Jan 15 2007 fehr@suse.de
- Update to new version 1.8.2
    libparted:
  - Add the ped_device_cache_remove() function to remove a device from the
    cache.  This is necessary for some things that use libparted, including
    pyparted.
  - Fix a segfault in ped_assert() where the wrong pointer is freed in the
    backtrace handler.
  - Only call _disk_warn_loss(disk) in do_mklabel() if disk is not NULL.
    Fixes a segfault when initializing new volumes.
  - Dynamically allocate space for exception messages.
  - Output a backtrace when catching SEGV_MAPPER or a general SIGSEGV.
    parted:
  - Destroy all objects before return when called with --list or --all option.
  - Zero sized device is shown as 0.00B and not -0.00kB.
  - Implement 'print devices' command.
  - Alias 'print list' to 'print all'.
  - Alias 'mktable' to 'mklabel'.
* Tue Dec  5 2006 fehr@suse.de
- Update to new version 1.8.1
  libparted
    Rework backtrace support
    Disable ext2fs resize for now, tell user to use resize2fs
    GPT fixes
    Prevent SIGFPE when FAT sector size is 0
    DASD support for IBM zSeries systems
    AIX disk label support
    Detect Promise SX8 storage devices
    Macintosh (ppc and x86) disk label improvements
    Add support binary units (MiB, KiB, GiB)
    Fix geometry read problems on 64-bit Macs
    Add support for /dev/mapper devices via libdevmapper library
    Detect Apple_Boot partition types correctly on MacOS X 10.4 systems
  parted
    Fix loop in print_all().
    Introduce the -list command-line switch.
    Warn before mklabel and mkfs.
    Proper print when there are no extended partitions, but partition names.
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Fri Jul 21 2006 olh@suse.de
- keep kernel interface to extended partition on Linux
* Tue Jul 18 2006 olh@suse.de
- build with make -j
  add parted-mac_data-init.patch
  add parted-mac-set-type-corruption.patch (#192082)
* Mon May 29 2006 fehr@suse.de
- Update to new version 1.7.1
  libparted: bug fixes related to linking, HFS, ext2, the Mac disk label
  parted: signal handling bug fix
* Thu May 18 2006 fehr@suse.de
- Update to new version 1.7.0
  libparted:
  * support for Apple GUIDs to GPT code
  * probe /dev/hd? before /dev/sd?
  * prefer /sys/block to /proc/partitions where possible
  * fix of ext2 "strange layout" bug (EXPERIMENTAL)
  * handling of sector sizes not equal to 512
  * added ped_device_get_constraint to support device-dependent constraints
  parted:
  * new formatter for "print" command
  * SIGSEGV handler
  * fixed "rescue" command core dump
  * fixes for 'mkpart' and 'mkpartfs' and 'print'
  * position and size of partitions are displayed with up to two
    digits after the decimal dot (depending on the unit and value)
  manual:
  * cut down substantially.
    Lots of general content will be moved to the GNU Storage Guide.
* Tue Apr 25 2006 fehr@suse.de
- Update to new version 1.7.0rc5
* Mon Mar  6 2006 schwab@suse.de
- Fix format string.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec  6 2005 fehr@suse.de
- update to new version 1.6.25.1
* Wed Nov  9 2005 fehr@suse.de
- update to new version 1.6.25
- make parted correctly refuse to resize inconsistent fat
  filesystems even if env var YAST_IS_RUNNING is set (#132967)
* Thu Sep  8 2005 fehr@suse.de
- fix wrong permissions of brazilian man page (#114849)
* Mon Aug 15 2005 fehr@suse.de
- update to new version 1.6.24
* Wed Aug  3 2005 fehr@suse.de
- make parted print BIOS geometry also if no disk label is present
  (#100444)
* Thu Jul 28 2005 fehr@suse.de
- update to new version 1.6.23
* Tue Jul 19 2005 pkirsch@suse.de
- fix fat16 minimum requirements
- fix mac partition handling
* Thu Apr  7 2005 fehr@suse.de
- update to new version 1.6.22
* Wed Mar 16 2005 fehr@suse.de
- prevent shifted start sect when resizing with unknown fs (#73008)
* Mon Jan 17 2005 fehr@suse.de
- fix typo in input_sector.patch
- update to new version 1.6.21
* Thu Jan 13 2005 fehr@suse.de
- allow creation of partitions by exact sector number (#49276)
* Tue Jan 11 2005 fehr@suse.de
- update to new version 1.6.20
* Mon Nov 29 2004 fehr@suse.de
- update to new version 1.6.19
- add reiserfs to needforbuild
* Mon Nov 22 2004 fehr@suse.de
- update to new version 1.6.18
* Mon Nov  8 2004 fehr@suse.de
- update to new version 1.6.16
* Tue Oct 26 2004 fehr@suse.de
- add patch by SGI for documentation of dvh-disklabel (#47611)
* Wed Sep 29 2004 fehr@suse.de
- add support for ATA over ethernet
- add support for partitioning device-mapper devices (for dmraid)
* Mon Sep 20 2004 fehr@suse.de
- update to new version 1.6.15
* Thu Sep 16 2004 fehr@suse.de
- greatly simplify always-resize-part.dif by using
  ped_constraint_exact
* Wed Sep 15 2004 fehr@suse.de
- prevent unwanted modifying of partition start and end due to
  alignment constraints during resize (#45013, #44699)
* Mon Sep  6 2004 fehr@suse.de
- update to new version 1.6.14
* Mon Sep  6 2004 fehr@suse.de
- update to new version 1.6.13
* Mon Aug 16 2004 fehr@suse.de
- update to new version 1.6.12
* Mon Apr 26 2004 fehr@suse.de
- update to new version 1.6.11
* Wed Mar 31 2004 meissner@suse.de
- Detect viodasd virtual disks on iSeries. #37521
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Mon Oct 20 2003 fehr@suse.de
- fix printing of partitions larger than 1TB in size (#32319)
* Fri Sep 12 2003 fehr@suse.de
- extend parted to handle User-mode virtual block devices (#30375)
* Mon Sep  8 2003 fehr@suse.de
- do not warning about too new GPT version if running under YaST2
  and too new version is 0x00010200 (#29563)
* Mon Jul 28 2003 fehr@suse.de
- update to new version 1.6.6
* Thu Jun 19 2003 ro@suse.de
- build with current gettext
* Thu Jun 12 2003 fehr@suse.de
- add missing dir to filelist
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 20 2003 fehr@suse.de
- display also partitions of type Apple_Free on Macintosh
* Mon Feb 24 2003 fehr@suse.de
- update to new version 1.6.5
* Mon Feb 17 2003 fehr@suse.de
- Use env var YAST_IS_RUNNING instead if YAST2_RUNNING for checking
  if parted is called by YAST2
* Fri Feb  7 2003 fehr@suse.de
- Use %%install_info macro
* Mon Feb  3 2003 fehr@suse.de
- disable check for string "FAT" in boot sector since it makes
  parted fail on some IDE disks with TurboLinux installed (#19401)
* Tue Dec 10 2002 fehr@suse.de
- update to new version 1.6.4
* Mon Nov 18 2002 schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Mon Sep 23 2002 meissner@suse.de
- recognize AIX IPL signatures in MSDOS labels and mark these labels
  invalid. Also overwrite the AIX IPL signature on "mklabel" (#20039).
* Mon Sep  2 2002 fehr@suse.de
- fix bug occuring sometimes when resizing reiserfs from YaST2
  (bug was in patch always-resize-part.dif)
* Tue Aug 13 2002 fehr@suse.de
- update to parted 1.6.3
* Thu Aug  8 2002 fehr@suse.de
- add patch to ignore /proc/sys/kernel/real-root-dev and do a stat
  on "/" instead. real-root-dev does not always contain a valid
  entry
* Tue Aug  6 2002 meissner@suse.de
- redid patch for partition ids on MAC with some API additions
  to make it 64bit clean.
* Thu Aug  1 2002 fehr@suse.de
- add patch by Marcus Meissner to show partition type on MACs
* Thu Jul 25 2002 fehr@suse.de
- add patch by Marcus Meissner to show and set partition id on dos
  label
* Tue Jul 16 2002 schwab@suse.de
- Update to parted 1.6.2, needed for ia64.
* Tue Jul  2 2002 meissner@suse.de
- rerun auto* tools
* Thu Jun 27 2002 fehr@suse.de
- make setting flags lvm and raid to off work
* Mon Jun 10 2002 fehr@suse.de
- add patch to resize also partitions with unkown fs under YaST2
* Tue May  7 2002 fehr@suse.de
- update to 1.4.24
- add patch to be verbose when resizing fat under YaST2
* Tue May  7 2002 ro@suse.de
- fixed specfile: no macro allowed in Version: line
* Fri Apr 26 2002 coolo@suse.de
- use %%_libdir
* Mon Sep  3 2001 kkaempf@suse.de
- update to 1.4.18
  compiles now with gcc 3.x and new autoconf/automake.
  support for ext3.
  lots of minor fixes, see ChangeLog in source.
* Thu May 10 2001 freitag@suse.de
- Added documentation to filelist, Bug# 6115
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 tom@suse.de
- Change to new version 1.4.11
  Removed configure patch (not needed anymore)
  Removed gettextize (doesn't build)
  Changed shared libraries to new state in file list
* Thu Apr 12 2001 ro@suse.de
- gettextize for new gettext
* Wed Apr  4 2001 kukuk@suse.de
- Add shared libraries to filelist for intel
* Fri Mar 23 2001 schwab@suse.de
- Fix configure check for sizeof off_t.
- Enable shared libs for x86 now that llseek.c rubbish is not
  needed any more.
* Fri Feb 23 2001 uli@suse.de
- enabled shared libs for non-x86 archs (see libparted/llseek.c for
  explanation why this doesn't work for x86)
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Jan 12 2001 tom@suse.de
- update to version 1.4.6
* Wed Jan  3 2001 tom@suse.de
- update to version 1.4.5
* Mon Dec  4 2000 schwab@suse.de
- Add %%suse_update_config.
* Fri Dec  1 2000 tom@suse.de
- update to version 1.4.4
* Tue Nov 21 2000 tom@suse.de
- update to version 1.4.2
* Thu Nov  9 2000 ro@suse.de
- fixed neededforbuild
* Tue Oct 10 2000 tom@suse.de
- initial version, GNU parted 1.2.9
